# posteriorfit-summary.R
#
# Summarizes the posterior fit measures for the BCF models
#
# Patrick T. Brandt
#
# 20070605 : initial version
#

library(xtable)

# Load the posterior fit matrices and just use the first chain.  The
# results are similar in each chain.

# Fits from the exogenous variable models
load("posteriorfit-exog.RData")

fits.exog <- results1

# Fits from the models with no exogenous variables
load("posteriorfit-noexog.RData")

fits.noexog <- results1

# Now subset the results so we can make some tables

x <- cbind(fits.exog$Model, round(as.numeric(fits.exog$logMDD),1),
           round(as.numeric(fits.noexog$logMDD),1))

fit.sums <- x[seq(1, 15, by=2),]
fit.means <- x[seq(2, 16, by=2),]

print(xtable(fit.sums.AFP <- fit.sums[seq(1, 7, by=2),]))
print(xtable(fit.sums.REU <- fit.sums[seq(2, 8, by=2),]))

print(xtable(fit.means.AFP <- fit.means[seq(1, 7, by=2),]))
print(xtable(fit.means.REU <- fit.means[seq(2, 8, by=2),]))

